Py ERFA:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- PyERFA v2.0.1.1 »
- erfa Package »
- seps

# seps

erfa.seps(al, ap, bl, bp)

  Angular separation between two sets of spherical coordinates.

  Parameters:
    al double array
    ap double array
    bl double array
    bp double array
  Returns:
    c_retval double array

  Notes

  Wraps ERFA function `eraSeps`. The ERFA documentation is:

      - - - - - - - -
       e r a S e p s
      - - - - - - - -

      Angular separation between two sets of spherical coordinates.

      Given:
         al     double       first longitude (radians)
         ap     double       first latitude (radians)
         bl     double       second longitude (radians)
         bp     double       second latitude (radians)

      Returned (function value):
                double       angular separation (radians)

      Called:
         eraS2c       spherical coordinates to unit vector
         eraSepp      angular separation between two p-vectors

      This revision:  2021 May 11

      Copyright (C) 2013-2023, NumFOCUS Foundation.
      Derived, with permission, from the SOFA library.  See notes at end of file.